{
  "schema_version": "1.4.0",
  "id": "GHSA-r5v3-qw78-36cj",
  "modified": "2022-05-14T02:03:29Z",
  "published": "2022-05-14T02:03:29Z",
  "aliases": [
    "CVE-2015-8830"
  ],
  "details": "Integer overflow in the aio_setup_single_vector function in fs/aio.c in the Linux kernel 4.0 allows local users to cause a denial of service or possibly have unspecified other impact via a large AIO iovec.  NOTE: this vulnerability exists because of a CVE-2012-6701 regression.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-8830"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/4c185ce06dca14f5cea192f5a2c981ef50663f2b"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/c4f4b82694fe48b02f7a881a1797131a6dad1364"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:1854"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:3083"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2018:3096"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1314275"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4c185ce06dca14f5cea192f5a2c981ef50663f2b"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c4f4b82694fe48b02f7a881a1797131a6dad1364"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3503"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/03/02/9"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2968-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2968-2"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2969-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-2970-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-05-02T10:59:00Z"
  }
}